Bug 19989 - opac-memberentry.pl has a FIXME that can be fixed
Summary: opac-memberentry.pl has a FIXME that can be fixed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zoe Bennett
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 17091
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-17 01:57 UTC by Aleisha Amohia
Modified: 2018-02-16 00:55 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19989: fixing th FIXME so that new requests replace old request (1.44 KB, patch)
2018-01-17 04:04 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19989: fixing the FIXME so that new requests replace old request (1.50 KB, patch)
2018-01-17 13:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19989: Fix the FIXME so that new requests replace old request (1.56 KB, patch)
2018-02-04 15:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 01:57:41 UTC
There is a FIXME that was waiting for Bug 17091 to be pushed; it has now been pushed.

Line 275

To test if the recommended fix works, submit a change to the user's details through the OPAC, then confirm that this request is the only request from the user back in the staff client (members/members-update.pl). New requests replace old requests.
Comment 1 Zoe Bennett 2018-01-17 04:04:05 UTC
Created attachment 70600 [details] [review]
Bug 19989: fixing th FIXME so that new requests replace old request

Test:
1)Make a change to the user in the OPAC
2)In the staff client make sure this is the only request
Comment 2 Owen Leonard 2018-01-17 13:42:59 UTC
Created attachment 70616 [details] [review]
Bug 19989: fixing the FIXME so that new requests replace old request

Test:
1) Make a change to the user in the OPAC
2) In the staff client make sure this is the only request

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2018-02-04 15:26:25 UTC
Created attachment 71201 [details] [review]
Bug 19989: Fix the FIXME so that new requests replace old request

Test:
1) Make a change to the user in the OPAC
2) In the staff client make sure this is the only request

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-05 12:58:31 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-02-16 00:55:24 UTC
Awesome work all! Enhancement not backported to stable.